#
# Copyright (c) 2003 Linuxant inc.
# Copyright (c) 2001-2003 Conexant Systems, Inc.
#
# NOTE: The use and distribution of this software is governed by the terms in
# the file LICENSE, which is included in the package. You must read this and
# agree to these terms before using or distributing this software.
# 
-include $(TOP)/imported/makeflags.mak

# The version string specified here is propagated everywhere
HCFLINUXVERSION=$(IMPORTED_HCFLINUXVERSION)
HCFLINUXRPM_REL=1

ifneq ($(IMPORTED_ARCH),i386)
HCFLINUXVERSION:=$(HCFLINUXVERSION)$(IMPORTED_ARCH)
endif

ifneq ($(IMPORTED_DEBUG_DEFS),)
ifneq ($(IMPORTED_DEBUG_DEFS),-DUSE_TRACE_ONLY_ERRORS)
HCFLINUXVERSION:=$(HCFLINUXVERSION)dbg
endif
endif

ifeq ($(IMPORTED_TARGET),TARGET_HCF_USB_LINUX)
HCFTARGET=hcfusb
HCFSERDEV=HCFUSB
else
HCFTARGET=hcfpci
HCFSERDEV=HCF
endif

ROOT=
PREFIX=$(ROOT)/usr

ETCDIR=$(ROOT)/etc
SBINDIR=$(PREFIX)/sbin
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib

HCFETCDIR=$(ETCDIR)/$(HCFTARGET)
HCFINFDIR=$(HCFETCDIR)/inf

HCFSBINDIR=$(SBINDIR)
HCFBINDIR=$(BINDIR)

HCFLIBDIR=$(LIBDIR)/$(HCFTARGET)
HCFMODDIR=$(HCFLIBDIR)/modules

INSTALL= install
MKDIR=   mkdir -m 755

HCFINF_FILE= $(HCFETCDIR)/current.inf
HCFCTY_FILE= $(HCFETCDIR)/current.cty

# Default values; these are usually overriden by module options in
# /etc/modules.conf so they shouldn't need to be changed here
HCFSERIALMAJOR=240
HCFCALOUTMAJOR=241
HCFSERIALMINOR=64

