/*
 * Copyright (c) 2003 Linuxant inc.
 * Copyright (c) 2001-2003 Conexant Systems, Inc.
 *
 * NOTE: The use and distribution of this software is governed by the terms in
 * the file LICENSE, which is included in the package. You must read this and
 * agree to these terms before using or distributing this software.
 *
 */
#include "oscompat.h"
#include "ostypedefs.h"
#include "osresour_ex.h"
#include "osservices.h"
#include "osmemory.h"
#include "osnvm.h"
#include "oslinux.h"
#ifdef TARGET_HCF_USB_LINUX
#include "usbhalos.h"
#endif

EXPORT_SYMBOL_NOVERS(NVM_Close);
EXPORT_SYMBOL_NOVERS(NVM_Open);
EXPORT_SYMBOL_NOVERS(NVM_Read);
EXPORT_SYMBOL_NOVERS(NVM_Write);
EXPORT_SYMBOL_NOVERS(OSFindPCIDevice);
EXPORT_SYMBOL_NOVERS(OSGetPCIDeviceResources);
EXPORT_SYMBOL_NOVERS(OSHookInterrupt);
EXPORT_SYMBOL_NOVERS(OSMapMemory);
EXPORT_SYMBOL_NOVERS(OSUnhookInterrupt);
EXPORT_SYMBOL_NOVERS(OSUnmapMemory);
EXPORT_SYMBOL_NOVERS(OSInitPowerManagement);
EXPORT_SYMBOL_NOVERS(OSTermPowerManagement);
EXPORT_SYMBOL_NOVERS(OsAllocate);
EXPORT_SYMBOL_NOVERS(OsAtomicAdd);
EXPORT_SYMBOL_NOVERS(OsAtomicCompareAndSwap);
EXPORT_SYMBOL_NOVERS(OsAtomicDecrement);
EXPORT_SYMBOL_NOVERS(OsAtomicIncrement);
EXPORT_SYMBOL_NOVERS(OsCallOnMyStack);
EXPORT_SYMBOL_NOVERS(OsModemThreadSchedule);
EXPORT_SYMBOL_NOVERS(OsCreatePeriodicTimer);
EXPORT_SYMBOL_NOVERS(OsDestroyPeriodicTimer);
EXPORT_SYMBOL_NOVERS(OsFree);
EXPORT_SYMBOL_NOVERS(OsGetCurrentThread);
EXPORT_SYMBOL_NOVERS(OsGetSystemTime);
EXPORT_SYMBOL_NOVERS(OsImmediateTimeOut);
EXPORT_SYMBOL_NOVERS(OsIsDigit);
EXPORT_SYMBOL_NOVERS(OsLockCreate);
EXPORT_SYMBOL_NOVERS(OsLockDestroy);
EXPORT_SYMBOL_NOVERS(OsLockLock);
EXPORT_SYMBOL_NOVERS(OsLockUnlock);
EXPORT_SYMBOL_NOVERS(OsLockTry);
EXPORT_SYMBOL_NOVERS(OsLockTryUnlock);
EXPORT_SYMBOL_NOVERS(OsMemCmp);
EXPORT_SYMBOL_NOVERS(OsMemCpy);
EXPORT_SYMBOL_NOVERS(OsMemSet);
EXPORT_SYMBOL_NOVERS(OsSetPeriodicTimer);
EXPORT_SYMBOL_NOVERS(OsSleep);
EXPORT_SYMBOL_NOVERS(OsSprintf);
EXPORT_SYMBOL_NOVERS(OsStrCmp);
EXPORT_SYMBOL_NOVERS(OsStrCpy);
EXPORT_SYMBOL_NOVERS(OsStrLen);
EXPORT_SYMBOL_NOVERS(OsStrnCpy);
EXPORT_SYMBOL_NOVERS(OsToupper);

#ifdef TARGET_HCF_USB_LINUX
EXPORT_SYMBOL_NOVERS(OsClearEvent);
EXPORT_SYMBOL_NOVERS(OsCreateEvent);
EXPORT_SYMBOL_NOVERS(OsDeleteEvent);
EXPORT_SYMBOL_NOVERS(OsSetEvent);
EXPORT_SYMBOL_NOVERS(OsUsbCreateInstance);
EXPORT_SYMBOL_NOVERS(OsUsbDestroyInstance);
EXPORT_SYMBOL_NOVERS(OsUsbGetControlRequest);
EXPORT_SYMBOL_NOVERS(OsUsbGetTxRequest);
EXPORT_SYMBOL_NOVERS(OsUsbIsStarted);
EXPORT_SYMBOL_NOVERS(OsUsbMakeControlRequest);
EXPORT_SYMBOL_NOVERS(OsUsbMakeControlRequestSync);
EXPORT_SYMBOL_NOVERS(OsUsbMakeDataReceiveRequest);
EXPORT_SYMBOL_NOVERS(OsUsbMakeDataTransmitRequest);
EXPORT_SYMBOL_NOVERS(OsUsbMakeDownloadTransmitRequest);
EXPORT_SYMBOL_NOVERS(OsUsbMakeNotifyRequest);
EXPORT_SYMBOL_NOVERS(OsUsbResetPipes);
EXPORT_SYMBOL_NOVERS(OsUsbResetPort);
EXPORT_SYMBOL_NOVERS(OsUsbWaitControlRequest);
EXPORT_SYMBOL_NOVERS(OsUsbWaitForControlRequestCompletion);
EXPORT_SYMBOL_NOVERS(OsWaitForEvent);
EXPORT_SYMBOL_NOVERS(OsWaitForEventTime);
EXPORT_SYMBOL_NOVERS(OsUsbGetInstance);
#endif

//EXPORT_SYMBOL_NOVERS(OsDebugVPrintf);
EXPORT_SYMBOL_NOVERS(OsDebugPrintf);
EXPORT_SYMBOL_NOVERS(OsDebugBreakpoint);
//EXPORT_SYMBOL_NOVERS(OsDebugDumpData);

MODULE_AUTHOR("Conexant Systems Inc.");
MODULE_DESCRIPTION("HCF controllerless modem driver");
MODULE_LICENSE("Copyright (C) 1996-2002 Conexant Systems Inc. All Rights Reserved.");

#ifdef _DEBUG
unsigned long ulTraceMask = 0xFFFFFFFF;
#endif

